@import '../../theme/sizing';
@import '../../theme/palette';
@import '../../theme/typography';

.features-section {
  box-sizing: border-box;
  padding: 50px 0;

  @media #{$size_query-m} {
    padding: 100px 0;
  }

  @media #{$size_query-l} {
    padding: 150px 0;
  }
}

.features-header {
  @include header($color_black);
  text-align: center;
  margin: 0 auto 50px;

  @media #{$size_query-m} {
    margin: 0;
  }
}

.features-subheader {
  @include subheader($color_dark-gray);
  width: 80%;
  margin: 0 auto 50px;
  display: none;

  @media #{$size_query-m} {
    display: block;
    width: 60%;
    min-width: 380px;
  }

  @media #{$size_query-l} {
    display: block;
    width: 660px;
  }
}

.features-container {
  display: grid;
  box-sizing: border-box;
  grid-template-columns: 90%;
  grid-row-gap: 30px;
  margin: 0 auto;
  justify-content: center;

  @media #{$size_query-m} {
    grid-template-columns: 1fr 1fr;
    grid-column-gap: 15px;
    margin: 0 5%;
  }

  @media #{$size_query-l} {
    grid-template-columns: 1fr 1fr 1fr;
    margin: 0 auto;
    width: $size_l;
    padding: 0 50px;
    grid-column-gap: 15px;
  }
}